Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.area.inline
Class Leader

    java.lang.Object
      org.apache.fop.area.AreaTreeObject
          org.apache.fop.area.Area
              org.apache.fop.area.inline.InlineArea
                  org.apache.fop.area.inline.Leader

All Implemented Interfaces:
  java.io.Serializable

public class Leader
extends InlineArea

This is a leader inline area. This class is only used for leader with leader-pattern of rule.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.fop.area.inline.InlineArea
`InlineArea.InlineAdjustingInfo`

Field Summary

Fields inherited from class org.apache.fop.area.inline.InlineArea
`adjustingInfo, offset`

Fields inherited from class org.apache.fop.area.Area
`bpd, BT, CLASS_ABSOLUTE, CLASS_BEFORE_FLOAT, CLASS_FIXED, CLASS_FOOTNOTE, CLASS_MAX, CLASS_NORMAL, CLASS_SIDE_FLOAT, ipd, log, LR, ORIENT_0, ORIENT_180, ORIENT_270, ORIENT_90, props, RL, TB`

Fields inherited from class org.apache.fop.area.AreaTreeObject
`extensionAttachments, foreignAttributes`

Constructor Summary
`Leader()` Create a new leader area.

Method Summary
`int` | `getRuleStyle()` Get the rule style of this leader.
`java.lang.String` | `getRuleStyleAsString()`
`int` | `getRuleThickness()` Get the rule thickness of the rule in miilipoints.
`void` | `setRuleStyle(int style)` Set the rule style of this leader area.
`void` | `setRuleStyle(java.lang.String style)` Set the rule style of this leader area.
`void` | `setRuleThickness(int rt)` Set the rule thickness of the rule in miilipoints.

Methods inherited from class org.apache.fop.area.inline.InlineArea
`addChildArea, applyVariationFactor, getAdjustingInfo, getOffset, getParentArea, handleIPDVariation, hasLineThrough, hasOverline, hasUnderline, increaseIPD, isBlinking, notifyIPDVariation, setAdjustingInfo, setAdjustment, setOffset, setParentArea`

Methods inherited from class org.apache.fop.area.Area
`addTrait, getAllocBPD, getAllocIPD, getAreaClass, getBorderAndPaddingWidthAfter, getBorderAndPaddingWidthBefore, getBorderAndPaddingWidthEnd, getBorderAndPaddingWidthStart, getBPD, getIPD, getSpaceAfter, getSpaceBefore, getSpaceEnd, getSpaceStart, getTrait, getTraitAsBoolean, getTraitAsInteger, getTraits, hasTrait, hasTraits, setAreaClass, setBPD, setIPD, toString`

Methods inherited from class org.apache.fop.area.AreaTreeObject
`addExtensionAttachment, getExtensionAttachments, getForeignAttributes, getForeignAttributeValue, hasExtensionAttachments, setExtensionAttachments, setForeignAttribute, setForeignAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Leader

    public Leader()

  Create a new leader area.

Method Detail

### setRuleStyle

    public void setRuleStyle(int style)

  Set the rule style of this leader area.

  Parameters:
    `style` - the rule style for the leader line

### setRuleStyle

    public void setRuleStyle(java.lang.String style)

  Set the rule style of this leader area.

  Parameters:
    `style` - the rule style for the leader area (XSL enum values)

### setRuleThickness

    public void setRuleThickness(int rt)

  Set the rule thickness of the rule in miilipoints.

  Parameters:
    `rt` - the rule thickness in millipoints

### getRuleStyle

    public int getRuleStyle()

  Get the rule style of this leader.

  Returns:
    the rule style

### getRuleStyleAsString

    public java.lang.String getRuleStyleAsString()

  Returns:
    the rule style as string

### getRuleThickness

    public int getRuleThickness()

  Get the rule thickness of the rule in miilipoints.

  Returns:
    the rule thickness in millipoints

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.